Create/Update Configuration Record Resource
1 min
POST
https://api.upstartcommerce.com/v1/rating/cfg/records/{recordId}/resources/{name}
Path Parameters
- recordIdstringrequiredDescription
- namestringrequiredDescription
Header Parameters
- x-upstart-ratingstringrequiredDescription
Form Parameters
- fileNamestring<binary>Formatbinary
Responses
200
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring[]required
- reasonstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/rating/cfg/records/{recordId}/resources/{name} \
--header 'accept: application/json' \
--header 'x-upstart-rating: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "multipart/form-data");
myHeaders.append("x-upstart-rating", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/rating/cfg/records/{recordId}/resources/{name}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/rating/cfg/records/{recordId}/resources/{name}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "multipart/form-data"
request["x-upstart-rating"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.upstartcommerce.com/v1/rating/cfg/records/{recordId}/resources/{name}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'multipart/form-data',
'x-upstart-rating': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success-resource created/updated successfully.
400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": [
""
],
"reason": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}